%define major_version %(echo %{version} | cut -d '.' -f 1,2)
Summary:        A Python package which provides bindings for GObject based libraries
Name:           pygobject3
Version:        3.46.0
Release:        1%{?dist}
License:        LGPLv2+ and MIT
URL:            https://pygobject.readthedocs.io/
Source0:        https://download.gnome.org/sources/pygobject/%{major_version}/pygobject-%{version}.tar.xz

%define glib2_version                  2.64.0
%define gobject_introspection_version  1.64.0
%define pycairo_version                1.16.0
%define python3_version                3.8


BuildRequires:  pkgconfig(cairo-gobject)
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= %{gobject_introspection_version}
BuildRequires:  pkgconfig(libffi)
BuildRequires:  pkgconfig(py3cairo) >= %{pycairo_version}
BuildRequires:  meson
BuildRequires:  python3-devel >= %{python3_version}
BuildRequires:  python3-setuptools
# Test dependencies.
BuildRequires:  python3dist(pytest)
BuildRequires:  gtk4
BuildRequires:  xorg-x11-server-Xvfb

%description
PyGObject is a Python package which provides bindings for GObject based
libraries such as GTK, GStreamer, WebKitGTK, GLib, GIO and many more.

%package     -n python3-gobject
Summary:        Python 3 bindings for GObject Introspection
Requires:       python3-gobject-base = %{version}-%{release}
# The cairo override module depends on this
Requires:       python3-cairo >= 1.16.0

%description -n python3-gobject
PyGObject is a Python package which provides bindings for GObject based
libraries such as GTK, GStreamer, WebKitGTK, GLib, GIO and many more.

%package     -n python3-gobject-base
Summary:        Python 3 bindings for GObject Introspection base package
Requires:       gobject-introspection >= %{gobject_introspection_version}
Requires:       python3-gobject-base-noarch = %{version}-%{release}

%description -n python3-gobject-base
PyGObject is a Python package which provides bindings for GObject based
libraries such as GTK, GStreamer, WebKitGTK, GLib, GIO and many more.


%package     -n python3-gobject-base-noarch
Summary:        Python 3 bindings for GObject Introspection base (not architecture dependent)
BuildArch:      noarch
Requires:       python3-gobject-base = %{version}-%{release}

%description -n python3-gobject-base-noarch
This package provides the non-cairo specific bits of the GObject Introspection
library that are not architecture specific.

%package     -n python3-gobject-devel
Summary:        Development files for embedding PyGObject introspection support
Requires:       python3-gobject = %{version}-%{release}
Requires:       gobject-introspection-devel
Provides:       pygobject3-devel = %{version}-%{release}

%description -n python3-gobject-devel
PyGObject is a Python package which provides bindings for GObject based
libraries such as GTK, GStreamer, WebKitGTK, GLib, GIO and many more.

this package provides developments.



%prep
%autosetup -n pygobject-%{version} -p1



%build
%meson
%meson_build



%install
%meson_install



%files -n python3-gobject
%{python3_sitearch}/gi/_gi_cairo*.so

%files -n python3-gobject-base
%dir %{python3_sitearch}/gi/
%pycached %{python3_sitearch}/gi/*.py
%{python3_sitearch}/gi/_gi.*.so
%{python3_sitearch}/PyGObject-*.egg-info

%files -n python3-gobject-base-noarch
%license COPYING
%doc NEWS
%dir %{python3_sitelib}/gi/
%{python3_sitelib}/gi/overrides/
%{python3_sitelib}/gi/repository/
%{python3_sitelib}/pygtkcompat/

%files -n python3-gobject-devel
%dir %{_includedir}/pygobject-3.0/
%{_includedir}/pygobject-3.0/pygobject.h
%{_libdir}/pkgconfig/pygobject-3.0.pc



%changelog
* Fri Jan 26 2024 Shop You <shopyou@tencent.com> - 3.46.0-1
- Upgrade version to 3.46.0-1

* Tue Jan 16 2024 Shop You <shopyou@tencent.com> - 3.44.1-1
- Upgrade version to 3.44.1-1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.42.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.42.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.42.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.42.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue May 17 2022 Zhao Zhen <jeremiazhao@tencent.com> - 3.42.1-1
- Initial.
